// Ornek MPI programi
// islemci 0, islemci 1'e 10 tane tamsayi gonderir
// Eray Ozkural

#include <algorithm>
#include <iostream>
#include <cstdio>
#include <cstdlib>
using namespace std;
#include <mpi.h>

// rastgele tamsayi dizisi olustur
void rand_array(int* a, int len, int range) 
{
  srandom((unsigned)time(NULL));
  for (int i=0; i<len; i++) {
    a[i] = int(random()) % range;
  }
}

void print_vector(int* a, int len)
{
  for (int i=0; i<len; i++)
    cout << a[i] << " ";
  cout << endl;
}

int main(int argc, char **argv)
{
  MPI::Init(argc,argv);
  MPI::Intracomm comm = MPI_COMM_WORLD;
  int numprocs = comm.Get_size();
  int id = comm.Get_rank();

  int a[10];
  rand_array(a, 10, 100); // 10 random ints in 0..99
  int buf[10];
  comm.Reduce(a, buf, 10, MPI::INT, MPI::SUM, 0);
  if (id==0)
    print_vector(buf, 10);

  MPI::Finalize();
  return 0;
}
